.TH PYRO5-NSC "1" "May 2024" "PYRO5-NSC 5.15" "Pyro name server control utility."
.SH NAME
\fBpyro5-nsc \fP- pyro name server control utility.
\fB
.SH SYNOPSIS
.nf
.fam C
 \fBpyro5-nsc\fP [\fB-h\fP] [\fB-n\fP \fIHOST\fP] [\fB-p\fP \fIPORT\fP] [\fB-u\fP \fIUNIXSOCKET\fP] [\fB-v\fP]
               {list,lookup,register,remove,removematching,listmatching,yplookup_all,yplookup_any,setmeta,ping}

.fam T
.fi
.fam T
.fi
.SH DESCRIPTION
This is a simple control utility for pyro5 name server.
.SH OPTIONS
.TP
.B
\fB-h\fP, \fB--help\fP
show this help message and exit
.TP
.B
\fB-n\fP \fIHOST\fP, \fB--host\fP \fIHOST\fP
hostname of the NS
.TP
.B
\fB-p\fP \fIPORT\fP, \fB--port\fP \fIPORT\fP
port of the NS (or bc-port if host isn't specified)
\fB-u\fP \fIUNIXSOCKET\fP, \fB--unixsocket\fP \fIUNIXSOCKET\fP
Unix domain socket name of the NS
.TP
.B
\fB-v\fP, \fB--verbose\fP
verbose output
.SH AUTHORS
Written by Irmen de Jong <irmen@razorvine.net>
.PP
This manual page was written by Bo YU <tsu.yubo@gmail.com>
